package cn.com.qmth.examcloud.core.oe.student.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.core.oe.student.service.ExamRecordPaperStructService;
import cn.com.qmth.examcloud.question.commons.core.paper.DefaultPaper;
import cn.com.qmth.examcloud.support.redis.RedisKeyHelper;
import cn.com.qmth.examcloud.web.redis.RedisClient;

@Service("examRecordPaperStructService")
public class ExamRecordPaperStructServiceImpl implements ExamRecordPaperStructService {

    @Autowired
    private RedisClient redisClient;


    @Override
    public void saveExamRecordPaperStruct(Long examRecordDataId, DefaultPaper paper) {
        String key = RedisKeyHelper.getBuilder().studentPaperKey(examRecordDataId);
        redisClient.set(key + examRecordDataId, paper,-1);
    }

    @Override
    public DefaultPaper getExamRecordPaperStruct(Long examRecordDataId) {
        String key = RedisKeyHelper.getBuilder().studentPaperKey(examRecordDataId);
        return redisClient.get(key + examRecordDataId, DefaultPaper.class);
    }

    @Override
    public void deleteExamRecordPaperStruct(Long examRecordDataId) {
        String key = RedisKeyHelper.getBuilder().studentPaperKey(examRecordDataId);
        redisClient.delete(key + examRecordDataId);
    }

}
